<template>
  <dibs-layout layout="two-columns" :video="video">
    <template #aside-header>
      <dibs-elem-back to="/" />
    </template>
    <template #aside-title>
      Documents à préparer pour estimer vos revenus à la retraite
    </template>
    <template #content>
      <div class="dibs--home--docs">
        <dibs-partials-home-docs-elem
          v-for="(tuto, id) in tutos"
          :key="'tuto-' + id"
          :title="tuto.title"
          :html="tuto.html"
          :is-open="tuto.open"
        />
      </div>
      <dibs-utils-push-up />
      <dibs-elem-btn
        label="J’ai toutes ces informations"
        goto="prelogin"
        picto="forward"
      />
    </template>
  </dibs-layout>
</template>

<script>
export default {
  name: 'IndexPage',
  layout: 'dibs',
  data() {
    return {
      video: {
        src: 'https://www.youtube.com/embed/e_-afFNhDJY',
        title: "Vidéo d'exemple HEG",
      },
      tutos: [
        {
          title: 'Votre carte AVS ou d’assurance',
          html: 'La donnée qui nous intéresse est votre numéro AVS type <strong>756.0000.0000.00</strong> vous pouvez aussi le trouver sur votre fiche de salaire',
          open: 'true',
        },
        {
          title: 'Vos accès à votre caisse de pension 2ème pilier',
          html: 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Porro sequi aliquam labore tenetur eos deleniti accusantium, doloremque voluptatibus in animi? Tenetur aspernatur, accusantium. Odit ab, commodi nihil laudantium id ipsum',
        },
        {
          title: 'Vos accès à votre compte 3ème pilier (3a)',
          html: 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Porro sequi aliquam labore tenetur eos deleniti accusantium, doloremque voluptatibus in animi? Tenetur aspernatur, accusantium. Odit ab, commodi nihil laudantium id ipsum',
        },
      ],
    }
  },
}
</script>
<style>
.dibs--home--docs {
  counter-reset: docs;
}

.dibs--home--docs--elem:before {
  counter-increment: docs;
  content: counter(docs);
  position: absolute;
  left: 0;
  top: -0.2em;
  border: 1px solid;
  border-radius: 100%;
  width: 2em;
  height: 2em;
  font-size: 0.75em;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: var(--dibs-colors--accent);
}

.dibs--home--docs--action {
  position: absolute;
  right: 0;
  top: -0.6em;
  transform: rotate(-45deg);
  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}

[data-open='true'] .dibs--home--docs--action {
  transform: rotate(0);
}

.dibs--home--docs--elem {
  padding-left: 3em;
  padding-right: 2em;
  position: relative;
}

.dibs--home--docs--title {
  font-weight: 700;
  font-size: 1.125em;
}

.dibs--home--docs--elem:not(:last-child) {
  border-bottom: 1px solid black;
  margin-bottom: 1em;
  padding-bottom: 1em;
}

.dibs--home--docs--elem p {
  height: auto;
  visibility: visible;
  margin: 1em 0;
  display: none;
}

.dibs--home--docs--elem[data-open='true'] p {
  display: block;
}
</style>
